pro MSP_BDP_droplist_populate, Event
	;
	;	puts the list of active nights onto the droplist
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	;
	d_wid = (*PTR_struct.PTR_summary).night_droplist_wid
	;
	num_nights = (*PTR_struct.PTR_summary).num_nights
	;
	if(num_nights eq 0) then begin
		str_list = ['no nights on list']
	endif else begin
		night_list = (*PTR_struct.PTR_summary).night_date[0:num_nights-1]
		;
		;	convert to strings
		;
		str_list = strarr(num_nights)
		for i=0, num_nights-1 do begin
			str_list[i] = STRING(format='(I8.8)',night_list[i])
		endfor
	endelse
	;
	WIDGET_CONTROL, d_wid, SET_VALUE=str_list
end