;---------------------------------------------------------------------------------------
pro P10_get_wids, Event
	;
	;	gets P10 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	l_ptr = PTR_struct.PTR_Linearity
	ff_ptr = PTR_struct.PTR_Flat
	;
	(*s_ptr).P10_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_Discover_Groups")
	(*s_ptr).P10_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_View_Edit_Flat_Groups")
	(*s_ptr).P10_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_Coadd_Group_Images")
	(*s_ptr).P10_button_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_Match_On_Off_Pairs")
	(*s_ptr).P10_button_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_View_On_Off_Matches")
	(*s_ptr).P10_button_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_Compute_Difference_Images")
	(*s_ptr).P10_button_wid[6] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_Determine_Normalizations")
	(*s_ptr).P10_button_wid[7] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_View_Normalizations")
	(*s_ptr).P10_button_wid[8] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Photometric_Normalize")
	;
	;	second page of tabs for polarimetric flats
	;
	(*s_ptr).P10_button_wid[9] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Discover_Groups")
	(*s_ptr).P10_button_wid[10] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_View_Edit_Flat_Groups")
	(*s_ptr).P10_button_wid[11] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Coadd_Group_Images")
	(*s_ptr).P10_button_wid[12] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Match_On_Off_Pairs")
	(*s_ptr).P10_button_wid[13] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_View_On_Off_Matches")
	(*s_ptr).P10_button_wid[14] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Compute_Difference_Images")
	(*s_ptr).P10_button_wid[15] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Determine_Normalizations")
	(*s_ptr).P10_button_wid[16] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_View_Normalizations")
	(*s_ptr).P10_button_wid[17] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Normalize")
	(*s_ptr).P10_button_wid[18] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Do_Zero_Hop_Test")
	(*s_ptr).P10_button_wid[19] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Button_Polarimetric_Fix_Zero_Hops")
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Photometric_Draw_Window")
	WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P10_draw_window_id[0] = window_id
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Polarimetric_Draw_Window")
	WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P10_draw_window_id[1] = window_id
	;
	;	get wid for tab base
	;
	(*s_ptr).P10_tab_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Tab_Base")
	;
	;	and textbox on polar page; also clear it
	;
	(*s_ptr).P10_text_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_Textbox_Polarimetric_Zero_Hop_Test_Results")
	WIDGET_CONTROL, (*s_ptr).P10_text_wid, SET_VALUE='       '
	;
	;	turn first buttons sensitive, rest not
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P10_button_wid)-1 do begin
		if(iw eq 0 or iw eq 9) then sen = 1 else sen = 0
		WIDGET_CONTROL, (*s_ptr).P10_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	clear draw windows
	;
	for iw = 0, 1 do begin
		WSET, (*s_ptr).P10_draw_window_id[iw]
		ERASE
	endfor
	;
	;	window IDs for all LED displays and sets all to gray
	;
	(*s_ptr).P10_LED_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_LED_0")
	(*s_ptr).P10_LED_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_LED_1")
	;(*s_ptr).P10_LED_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P10_LED_2")
	;
	colors = strarr(25)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P10_LED_wid[0], colors
;	colors = strarr(10)
;	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P10_LED_wid[1], colors
;	WCT_LED_stack, (*s_ptr).P10_LED_wid[2], colors
	;
	;	set tab to photometric tab
	;
	WIDGET_CONTROL, (*s_ptr).P10_tab_wid, SET_TAB_CURRENT=0
	(*s_ptr).P10_current_tab = 0
	;
end