;---------------------------------------------------------------------------------------
pro P11_get_wids, Event
	;
	;	gets P11 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	l_ptr = PTR_struct.PTR_Linearity
	;
	(*s_ptr).P11_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Button_Discover_Linearity_Images")
	(*s_ptr).P11_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Button_View_Edit_Linearity_List")
	(*s_ptr).P11_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Button_Linearity_Correct")
	(*s_ptr).P11_button_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Button_Read_LC_Images")
	(*s_ptr).P11_button_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Button_Compute_Read_Time_Image")
	(*s_ptr).P11_button_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Button_Analyze_Read_Time_Image")
	;
;	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Photometric_Draw_Window")
;	WIDGET_CONTROL, wid, GET_VALUE = window_id
;	(*s_ptr).P11_draw_window_id = window_id
	;
	;	turn first button sensitive, rest not
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P11_button_wid)-1 do begin
		if(iw le 0) then sen = 1 else sen = 0
		WIDGET_CONTROL, (*s_ptr).P11_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	get wid for textbox
	;
	(*s_ptr).P11_text_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_Textbox_Read_Time_Value")
	;
	;	clear draw window
	;
;	WSET, (*s_ptr).P11_draw_window_id
;	ERASE
	;
	;	window IDs for all LED displays and sets all to gray
	;
	(*s_ptr).P11_LED_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_LED_0")
	(*s_ptr).P11_LED_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_LED_1")
	(*s_ptr).P11_LED_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P11_LED_2")
	;
	(*s_ptr).P11_LED_colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P11_LED_wid[0], (*s_ptr).P11_LED_colors
	WCT_LED_stack, (*s_ptr).P11_LED_wid[1], (*s_ptr).P11_LED_colors
	WCT_LED_stack, (*s_ptr).P11_LED_wid[2], (*s_ptr).P11_LED_colors
	;
end