;---------------------------------------------------------------------------------------
pro P12_get_wids, Event
	;
	;	gets P12 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	l_ptr = PTR_struct.PTR_Linearity
	;
	(*s_ptr).P12_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_Phot_Spec_Select_Groups")
	(*s_ptr).P12_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_Phot_Spec_View_Edit_Groups")
	(*s_ptr).P12_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_Phot_Spec_Do_Corrections")
	;
	(*s_ptr).P12_button_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_Pol_Spec_Select_Groups")
	(*s_ptr).P12_button_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_Pol_Spec_View_Edit_Groups")
	(*s_ptr).P12_button_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_Pol_Spec_Do_Corrections")
	;
	(*s_ptr).P12_button_wid[6] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_Do_Rollback")
	(*s_ptr).P12_button_wid[7] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Button_No_Rollback")
	;
	;	and the new textboxes on the polarization tab
	;
	(*s_ptr).P12_text_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Textbox_Zero_Hop_Group_Count")
	(*s_ptr).P12_text_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Textbox_Zero_Hop_Group_List")
	;
	;	and checkboxs
	;
	(*s_ptr).P12_checkbox_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Checkbox_Ignore_Zero_Hop_Tests")
	(*s_ptr).P12_radio_dither_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Radio_Fix_By_Dither")
	;
;	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Photometric_Draw_Window")
;	WIDGET_CONTROL, wid, GET_VALUE = window_id
;	(*s_ptr).P12_draw_window_id = window_id
	;
	;	turn all first buttons sensitive, rest not sensitive
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P12_button_wid)-1 do begin
		if(iw le 0 or iw eq 3) then sen = 1 else sen = 0
		WIDGET_CONTROL, (*s_ptr).P12_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	get wid for rollback base
	;
	(*s_ptr).P12_base_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Base_Rollback")
	;
	;	get wid for tab base
	;
	(*s_ptr).P12_tab_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Tab_Base")
	;
	;	get wid for droplist
	;
	(*s_ptr).P12_droplist_night_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Droplist_Select_Night")
	;
	;	get wid for textbox
	;
	;(*s_ptr).P12_text_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_Textbox_Read_Time_Value")
	;
	;	clear draw window
	;
;	WSET, (*s_ptr).P12_draw_window_id
;	ERASE
	;
	;	clear pol textboxes
	;
	WIDGET_CONTROL, (*s_ptr).P12_text_wid[0],SET_VALUE='0'
	WIDGET_CONTROL, (*s_ptr).P12_text_wid[1],SET_VALUE='  '
	;
	;	window IDs for all LED displays and sets all to gray
	;
	(*s_ptr).P12_LED_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_LED_0")
	(*s_ptr).P12_LED_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_LED_1")
;	(*s_ptr).P12_LED_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P12_LED_2")
	;
	(*s_ptr).P12_LED_colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P12_LED_wid[0], (*s_ptr).P12_LED_colors
	WCT_LED_stack, (*s_ptr).P12_LED_wid[1], (*s_ptr).P12_LED_colors
;	WCT_LED_stack, (*s_ptr).P12_LED_wid[2], (*s_ptr).P12_LED_colors
	;
	;	turn rollback base to not sensitive
	;
	WIDGET_CONTROL, (*s_ptr).P12_base_wid, SENSITIVE=0
	;
	;	set checkbox to default
	;
	WIDGET_CONTROL, (*s_ptr).P12_checkbox_wid, SET_BUTTON = (*s_ptr).P12_Ignore_ZHT_flag
	WIDGET_CONTROL, (*s_ptr).P12_radio_dither_wid, SET_BUTTON = (*s_ptr).P12_zht_dither_flag
end