pro P2_droplist_populate, Event
	;
	;	puts the list of active nights onto the P2 droplist
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	d_wid = (*s_ptr).P2_droplist_night_wid
	;
	num_nights = (*s_ptr).num_nights
	;
	if(num_nights eq 0) then begin
		str_list = ['no nights on list']
	endif else begin
		night_list = (*s_ptr).night_date[0:num_nights-1]
		;
		;	convert to strings
		;
		str_list = strarr(num_nights)
		for i=0, num_nights-1 do begin
			str_list[i] = STRING(format='(I8.8)',night_list[i])
		endfor
	endelse
	;
	WIDGET_CONTROL, d_wid, SET_VALUE=str_list
	;
	;	and clear the remaining buttons
	;
	for ib = 0, N_ELEMENTS( (*s_ptr).P2_button_wid)-1 do P2_button_sensitize, Event, ib, 0
end