pro P7_droplist_populate, Event
	;
	;	puts the list of active nights with Step>=4 (RAW1 Jump tests
	;		must be completed first) onto the P7 droplist
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	s_ptr = PTR_struct.PTR_summary
	b_ptr = PTR_struct.PTR_BPM
	;
	d_wid = (*s_ptr).P7_droplist_night_wid[0]
	;
	num_nights = (*s_ptr).num_nights
	;
	if(num_nights eq 0) then begin
		str_list = ['no nights on list']
	endif else begin
		night_list = (*s_ptr).night_date[0:num_nights-1]
		step_list = (*s_ptr).night_step[0:num_nights-1]
		ind = WHERE(step_list[*] ge 4, count)
		if(count lt 1) then begin
			str_list = ['no nights w/S>=4']
			MSP_BDP_print_text, Event, "No Nights Available for BPM Creation - Complete RAW1 Jump Analysis first."
		endif else begin
			;
			;	convert to strings
			;
			str_list = strarr(count)
			for i=0, count-1 do begin
				str_list[i] = STRING(format='(I8.8)',night_list[ind[i]])
			endfor
		endelse
	endelse
	;
	WIDGET_CONTROL, d_wid, SET_VALUE=str_list
	;
	;	clear LED and buttons
	;
	P7_LED_sensitize, Event, 0, 0
	for ib = 0, 1  do P7_button_sensitize, Event, ib, 0
end