pro Dialog_Text_Launch_Window, window_numbers, w_ID
    ;
    ;  launch the pop-up window and return the window numbers
    ;
    ;     create a heap variable structure and pointer to pass to the
    ;     pop up widget
    ;
    wStruct = {label_wid: -1L, text_wid: -1L, title_wid: -1L, widget_wid: -1L}
    ;
    DTW_ptr = PTR_NEW(wStruct)		; make the heap variable and pointer
    ;
    DTW_struct_ptr = {ptr: DTW_ptr}	; make a new structure that contains only the pointer
    ;
    ;   call the pop up, passing the pointer
    ;
    Dialog_Text_Window, GROUP_LEADER=group_leader, _EXTRA = DTW_struct_ptr
    ;
    print, "On return to DTW_Launch, DTW_struct = ",*DTW_ptr
    help, *DTW_ptr, /struct
    ;
    ; put the window IDs and widget_ID into the main structure
    ;
    WIDGET_CONTROL, Event.top, GET_UVALUE=WCT_struct, /NO_COPY
    ;
    ;   convert widget numbers to window numbers
    ;
    WIDGET_CONTROL, (*S4_ptr).label_wid, GET_VALUE=label_wid
    WIDGET_CONTROL, (*S4_ptr).text_wid, GET_VALUE=text_wid
    WIDGET_CONTROL, (*S4_ptr).title_wid, GET_VALUE=title_wid
    ;
    window_numbers = [label_wid, text_wid, title_wid]
    w_ID = (*S4_ptr).widget_wid
    ;
    ;   try to move the S4 pop up window to right hand side of display
    ;
    WIDGET_CONTROL, w_ID, XOFFSET=1000     ; pixels
    ;
    ;
end