;---------------------------------------------------------------------------------------
pro P4_get_wids, Event
	;
	;	gets P4 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	(*s_ptr).P4_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Start_RAW1_Examination")
	(*s_ptr).P4_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Print_Summary")
	(*s_ptr).P4_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Zoom")
	(*s_ptr).P4_button_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Unzoom")
	(*s_ptr).P4_button_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Mark_Start")
	(*s_ptr).P4_button_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Mark_End")
	(*s_ptr).P4_button_wid[6] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Plot_Start_to_End")
	(*s_ptr).P4_button_wid[7] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Show_Groups")
	(*s_ptr).P4_button_wid[8] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Process_Jumps")
	(*s_ptr).P4_button_wid[9] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Clear_Jumps")
	(*s_ptr).P4_button_wid[10] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Mark_Jump")
	(*s_ptr).P4_button_wid[11] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Done")
	(*s_ptr).P4_button_wid[12] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Button_Correct_Jumps")
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Draw_Window")
	WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P4_draw_window_id = window_id
	;
	(*s_ptr).P4_droplist_night_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_Droplist_Select_Night")
	;
	;	turn all buttons to not sensitive
	;
	sen = 0
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P4_button_wid)-1 do begin
		WIDGET_CONTROL, (*s_ptr).P4_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	clear draw window
	;
	WSET, (*s_ptr).P4_draw_window_id
	ERASE
	;
	;	window IDs for all LED displays and sets all to gray
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_LED_0")
	;WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P4_LED_wid[0] = wid
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P4_LED_1")
	;WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P4_LED_wid[1] = wid
	;
	sen = 0
	;
	colors = strarr(25)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P4_LED_wid[0], colors
	WCT_LED_stack, (*s_ptr).P4_LED_wid[1], colors
	;
end