function write_raw1, outpath, out_image
;
;   writes RAW1 type images, including byteswapping
;   if needed (windows machines)
;
;   DPC     20070412 modified to read OS family and turn off byteswapping for non Windows machines
;
;
openw, out_lun, outpath, /GET_LUN
;
image = uint(out_image)
;
;OSF = STRUPCASE(!VERSION.OS_FAMILY)
;if(OSF eq "WINDOWS") then begin
byteorder, image, /SWAP_IF_LITTLE_ENDIAN
;endif
;
tc = 0L
writeu, out_lun, image, TRANSFER_COUNT=tc
;print, "Pixels Transferred = ",tc
FREE_LUN, out_lun
;
ier = 0
return, ier
end